Show / Hide Table of Contents

# Struct GameObjectManager

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.Game.Object

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct GameObjectManager

### Fields

| Improve this Doc View Source

#### Active

##### Declaration

    public byte Active

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### ObjectList

##### Declaration

    public long *ObjectList

##### Field Value

Type | Description
--- | ---
System.Int64* |

| Improve this Doc View Source

#### ObjectList3

##### Declaration

    public long *ObjectList3

##### Field Value

Type | Description
--- | ---
System.Int64* |

| Improve this Doc View Source

#### ObjectList3Count

##### Declaration

    public int ObjectList3Count

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### ObjectListFiltered

##### Declaration

    public long *ObjectListFiltered

##### Field Value

Type | Description
--- | ---
System.Int64* |

| Improve this Doc View Source

#### ObjectListFilteredCount

##### Declaration

    public int ObjectListFilteredCount

##### Field Value

Type | Description
--- | ---
System.Int32 |

### Methods

| Improve this Doc View Source

#### GetGameObjectByIndex(Int32)

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? 48 8B F0 48 85 C0 75 12 48 FF C7", IsStatic = true)]
    public static GameObject*GetGameObjectByIndex(int index)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | index |

##### Returns

Type | Description
--- | ---
GameObject* |

| Improve this Doc View Source

#### Instance()

##### Declaration

    [StaticAddress("48 8D 35 ?? ?? ?? ?? 81 FA", 0, false)]
    public static GameObjectManager*Instance()

##### Returns

Type | Description
--- | ---
GameObjectManager* |